This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 509000 - Mouse cursors are always black-and-white, 1-bit glyphs. They should be high-color instead.
Mouse cursors are always black-and-white, 1-bit glyphs. They should be high-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 15:36 EDT by Kriston Rehberg
Modified: 2013-04-30 19:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kriston Rehberg 2009-06-30 15:36:06 EDT
Description of problem:

A longstanting problem with VNC on Linux is that the mouse cursors appear in the VNC client as 1-bit glyphs, but the cursors themselves are high-color animated glyphs.  This causes the cursors to be ugly and sometimes unrecognizable when visiting the TigerVNC server.

Version-Release number of selected component (if applicable):
Fedora 11, tigervnc-0.0.91-0.11.fc11.i586, tigervnc-server-0.0.91-0.11.fc11.i586

How reproducible:

Use a Windows or Linux TigerVNC client to connect to a Linux TigerVNC server.

Steps to Reproduce:
1. Log in.
2. Look at cursors.  They are black-and-white.
3. Change cursors in the Appearance Preferences...Customize Button...Pointer Tab.
4. They always stay black-and-white.
  
Actual results:

The cursors are black-and-white but they should be color.

Expected results:

The cursors should be full-color with animation features.


Additional info:

The TigerVNC setting of "Render Cursor Locally" has no effect on the cursor's black-and-white state.
Comment 1 Scott Robbins 2009-12-05 06:58:20 EST
This, or at least something quite similar, is still occuring with the 64 bit versoin 1.0.0-3.fc12 in F12.  When using tigervnc and connecting to a Windows host, the mouse is a tiny dot.  It sometimes works as cursor should and sometimes doesn't.

This occurs with any connection to a Windows machine.  Removing tigervnc and replacing it with tightvnc fixes the problem.
Comment 2 Bug Zapper 2010-04-27 11:23:04 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Scott Robbins 2010-06-05 00:27:36 EDT
So, this problem is still in F13, making tigervnc a poor choice of default viewer.  

If tigervnc's viewer can't be fixed, perhaps it should replaced with another vnc viewer program.
Comment 4 Kriston Rehberg 2010-06-05 16:48:08 EDT
This is endemic of all the various VNC software packages out there that came from the original VNC before it became "RealVNC."  According to an email I received from RealVNC the commercial version of RealVNC has the bug fixed.  I have no further information.
Comment 5 Scott Robbins 2010-06-05 18:27:23 EDT
I don't have the issue with a homemade tightvnc rpm.  (I didn't do anything to it, it came with a spec file, though at this point, I don't remember where I got the tarball.  It's version 1.3.10-1 if that helps.)
Comment 6 Kriston Rehberg 2010-06-05 21:45:07 EDT
Yes, I neglected to recall that later versions of TightVNC do not have this problem.
Comment 7 devsk 2010-06-09 15:21:51 EDT
(In reply to comment #5)
> I don't have the issue with a homemade tightvnc rpm.  (I didn't do anything to
> it, it came with a spec file, though at this point, I don't remember where I
> got the tarball.  It's version 1.3.10-1 if that helps.)    

Does anybody have any idea about which version of tightvnc fixed it? May be its just about taking a patch from tightvnc and applying it to tigervnc code base.
Comment 8 Scott Robbins 2010-06-09 15:33:24 EDT
See my comment (#5).  1.3.10-1.x86_64

(I've been looking around my various machines, adn still can't find the srpm.  I must have gotten it somewhere--rpmforge?)
Comment 9 Scott Robbins 2010-06-09 15:38:49 EDT
Ok, just found it.  The source code tarball at http://tightvnc.com, when extracted, contains the spec file. I guess I used that to build.
Comment 10 Bug Zapper 2010-06-28 09:24:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Kriston Rehberg 2010-06-28 11:07:24 EDT
Re-opened for Fedora 13 where the problem persists.
Comment 12 Bug Zapper 2011-06-02 13:58:33 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 10:16:00 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Scott Robbins 2011-06-27 15:03:05 EDT
As this is still not fixed, I've filed this against F15 as bug 717032

Note You need to log in before you can comment on or make changes to this bug.